org.apache.flume.tools

## Class FileChannelIntegrityTool

- java.lang.Object
- - org.apache.flume.tools.FileChannelIntegrityTool

- All Implemented Interfaces:
    FlumeTool

      public class FileChannelIntegrityTool
      extends Object
      implements FlumeTool

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.slf4j.Logger` | `LOG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileChannelIntegrityTool()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### LOG

          public static final org.slf4j.Logger LOG

  - ### Constructor Detail

    - #### FileChannelIntegrityTool

          public FileChannelIntegrityTool()

  - ### Method Detail

    - #### run

          public void run(String[] args)
                   throws IOException,
                          org.apache.commons.cli.ParseException

      Specified by:
        `run` in interface `FlumeTool`
      Throws:
        `IOException`
        `org.apache.commons.cli.ParseException`

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.